commit e4f96f9572e4fc27324b4a009d877a4a2bbacc4e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-05-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-05-09

    Bump package and library versions

commit 296036de8cb628fdab551bd51686145876877ea9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-05-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-05-09

    Update AUTHORS

commit 3f93cda6f14b4915e13c553d284bf632954702cc
Merge: 05a227c 9f36787
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-05-09
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-05-09

    Merge pull request #221 from ngtcp2/doc-conn-close-stream
    
    Clarify the use of nghttp3_conn_close_stream

commit 9f36787b906131b1411d5e33938f1f1597dd8050
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-05-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-05-09

    Clarify the use of nghttp3_conn_close_stream

commit 05a227c209a7e6621214df8690b82c35d25a75c7
Merge: 0a060b0 329c621
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-05-08
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-05-08

    Merge pull request #220 from ngtcp2/doc-read-write-stream-error
    
    More words for errors when reading from or writing to a stream

commit 329c621c11be2ad3ce89312f5728368af2ea3199
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-05-08
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-05-08

    More words for errors when reading from or writing to a stream

commit 0a060b0f3e0963894e2af49dd9f7bebdd48ff1cb
Merge: 89b200d 81a167f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-04-29
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-04-29

    Merge pull request #218 from DD-L/patch-1
    
    Update the link for the Prefix.pdf document

commit 81a167fdfa194be8d01312a3ff1deeec99750520
Author:     Deel <DD-L@users.noreply.github.com>
AuthorDate: 2024-04-29
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-04-29

    Update the link for the Prefix.pdf document
    
    fix  nghttp2/nghttp2#2178

commit 89b200d2c535927e4cf77c6932083fa4d76bfe85
Merge: 33e365f 8409084
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-04-22
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-04-22

    Merge pull request #217 from ngtcp2/bump-munit
    
    Bump munit

commit 84090848571389e95f405a7840f28a83be38f03a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-04-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-04-22

    Bump munit

commit 33e365f73f9627d397806183ac84d69ddbfc5531
Merge: 84e9864 95575a1
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-04-18
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-04-18

    Merge pull request #216 from alagoutte/cmakelist-add-build-testing
    
    CMakeLists(.txt): Add Build Test info on summary

commit 95575a19ed3e65687c8af37098586249327e7473
Author:     Alexis La Goutte <alexis.lagoutte@gmail.com>
AuthorDate: 2024-04-15
Commit:     Alexis La Goutte <alexis.lagoutte@gmail.com>
CommitDate: 2024-04-15

    CMakeLists(.txt): Add Build Test info on summary

commit 84e986432a2b00c5f3a0b60dd09f5cf798745842
Merge: f7fc0e1 dc3b609
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-04-03
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-04-03

    Merge pull request #214 from ngtcp2/bump-munit
    
    Bump munit

commit dc3b609cb27d3e557d32f60ba147c0b602cbe75a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-04-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-04-03

    Bump munit

commit f7fc0e167e4121d1972a9d6b372d2711b4275573
Merge: 7ca2b33 0722662
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-03-29
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-03-29

    Merge pull request #213 from donny-dont/respect-static-libs
    
    cmake: add BUILD_TESTING, fix MSVC with static + shared

commit 07226625e773107694c98011f9596754f9a3f5a0
Author:     Don Olmstead <don.j.olmstead@gmail.com>
AuthorDate: 2024-03-26
Commit:     Don Olmstead <don.j.olmstead@gmail.com>
CommitDate: 2024-03-27

    cmake: add BUILD_TESTING, fix MSVC with static + shared
    
    Add a new option `BUILD_TESTING` to control whether or not the library is built with testing. Also fix a library naming conflict when building both static and shared libraries in MSVC by setting a default of `_static` for `STATIC_LIB_SUFFIX`.

commit 7ca2b33423f4e706d540df780c7a1557affdc42c
Merge: 6eecd27 05b21c4
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-03-23
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-03-23

    Merge pull request #212 from ngtcp2/stale
    
    Add actions/stale

commit 05b21c4075ee25f33490f6b5341911cb48ea6d37
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-03-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-03-23

    Add actions/stale

commit 6eecd279ed4e25ba6df9bb384ced233e8d652278
Merge: 296b526 d88ffc9
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-03-20
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-03-20

    Merge pull request #211 from ngtcp2/tar-pax
    
    autotools: Switch to tar-pax

commit d88ffc9f28dc7631c6eb95f647ffe53eb6bae6e0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-03-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-03-20

    autotools: Switch to tar-pax

commit 296b5265c44c1c06d0ab4050b6e4ae04f6f5135e
Merge: 9515546 9a608b3
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-03-20
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-03-20

    Merge pull request #210 from ngtcp2/automate-release
    
    Automate release process

commit 9a608b393ab3d67747dda6ec2ee17d53fb5b0bb6
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-03-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-03-20

    Automate release process

commit 951554688ee18328a3268ca7056cf9988cc0c8d5
Merge: 0f5e455 41e908a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-03-15
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-03-15

    Merge pull request #208 from ngtcp2/apt-get-update
    
    apt-get update

commit 41e908a490f62779ec9aa80a5a19888a95a2f998
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-03-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-03-15

    apt-get update

commit 0f5e45579301e448949a82b906c8f0e0fbe35ed9
Merge: cdb5db7 bd14feb
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-03-15
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-03-15

    Merge pull request #207 from ngtcp2/llvm-workaround
    
    Workaround llvm issue on github ubuntu runner

commit bd14febc21ba801d463b43febb20b7eebcce0927
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-03-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-03-15

    Workaround llvm issue on github ubuntu runner

commit cdb5db715c1c03c526a8dbae4d91a2e8eec98328
Merge: 7ecaee4 4b43f30
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-03-09
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-03-09

    Merge pull request #206 from ngtcp2/qpack-decoder-stream-limit
    
    Lower decoder stream limit

commit 4b43f30ce8833f5e8b365ff5bc05cb4e0651908f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-03-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-03-09

    Lower decoder stream limit

commit 7ecaee4500be0e65f00597a171867db633301888
Merge: d692d19 ae5ea2b
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-03-02
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-03-02

    Merge pull request #205 from ngtcp2/zero-after-memset
    
    Avoid assigning zero after memset

commit d692d196bce323b1a3df0a3572e3eeedd6677829
Merge: 36579fd 1e177a2
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-03-02
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-03-02

    Merge pull request #204 from ngtcp2/qpack-tweak
    
    Qpack tweak

commit ae5ea2bcd3e91e222336658e87049bd655645d16
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-03-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-03-02

    Avoid assigning zero after memset

commit 1e177a2617e2d9916fdbb1a26ca43930948f8979
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-03-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-03-02

    Set acceptable length from decoder stream by encoder

commit 10ab02353c26f15e37ef5cf52c1712dde8fb1e81
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-03-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-03-02

    Set acceptable length from encoder stream by decoder

commit 36579fd41aa6fb1f1a29147d8173a2a3c90cc549
Merge: fd5f5cb 06f36a0
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-02-17
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-02-17

    Merge pull request #201 from ngtcp2/acked-data-zero-len
    
    Do not call acked_data with 0 length data

commit 06f36a0d0060664d1479658c0f4b58a5e7afc26d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-02-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-02-17

    Do not call acked_data with 0 length data

commit fd5f5cb02534eb80ec097e730ce2c6636dd7938e
Merge: 3d67365 97925cd
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2024-02-17
Commit:     GitHub <noreply@github.com>
CommitDate: 2024-02-17

    Merge pull request #200 from ngtcp2/refactor-stream-ack-vars
    
    Refactor stream data acknowledgement

commit 97925cdc00970f1c6e637635d1f8aef3720e20a1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-02-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-02-17

    Refactor stream data acknowledgement
    
    Refactor stream data acknowledgement to reduce the number of required
    variables.

commit 3d673659f29d71497fceca89dca784383810ab37
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2024-02-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2024-02-17

    Bump package version
